anim8 = require("anim8/anim8")
local bump = require("bump/bump")
local camera = require("STALKER-X-master/Camera")
love.graphics.setDefaultFilter("nearest", "nearest")
require("player")
local STI = require("sti")
level = require("Maps/LaunchPad")

function levelLoader(level)
    Map = STI(level)
    local objects = level.layers["solids"].objects
    for i = 1, #objects do
        local obj = objects[i]
        obj.isWall = true
        world:add(obj, obj.x, obj.y, obj.width, obj.height)
    end
end

function love.load()
    val = 150
    val2 = 255
    world = bump.newWorld()
    Player:load()
    levelLoader(level)
    font = love.graphics.newImageFont("Sprites/Imagefont.png", 
                                    " abcdefghijklmnopqrstuvwxyz" ..
                                    "ABCDEFGHIJKLMNOPQRSTUVWXYZ0" ..
                                    "123456789.,!?-+/():;%&`'*#=[]\"")
    love.graphics.setFont(font)
    first = Player.y
    cam = camera()
    cam.scale = 2
    --cam:setFollowLerp(3)
end

function love.update(dt)
    Player:update(dt)
    second = Player.y
    distance = first - second
    if Player.yVel < -10 and (distance % 100 >= 0 and distance % 100 <= 1) then
        val = val - 1
        val2 = val2 - 1
    elseif Player.yVel > -10 and (distance % 100 >= 0 and distance % 100 <= 1) then
        if val < 150 then
            val = val + 1
        end
        
        if val2 < 255 then
            val2 = val2 + 1
        end
    end
    cam:follow(Player.x, Player.y)
    cam:update(dt)
end

function love.draw()
    love.graphics.setBackgroundColor(0, val/255, val2/255)
    cam:attach()
        Map:drawLayer(Map.layers["tiles"])
        --currAnim:draw(Player.img, Player.x, Player.y, nil, Player.factor * Player.zoom, Player.zoom, 4, 8)
        love.graphics.print("Distance = " .. math.floor(distance) .. " meters", Player.x - 180, Player.y - 140)
        Player:draw()
    cam:detach()
    --print(val)
end